#### Previous topic

scipy.sparse.lil_matrix.transpose

#### Next topic

scipy.sparse.spmatrix.shape

# scipy.sparse.spmatrix

class `scipy.sparse.``spmatrix`(maxprint=50)

  This class provides a base class for all sparse matrices. It cannot be instantiated. Most of the work is provided by subclasses.

  Attributes

  `shape` |

  Methods

  `asformat`(format) | Return this matrix in a given sparse format
  `asfptype`() | Upcast matrix to a floating point format (if necessary)
  `astype`(t) |
  `conj`() |
  `conjugate`() |
  `copy`() |
  `diagonal`() | Returns the main diagonal of the matrix
  `dot`(other) | Ordinary dot product
  `getH`() |
  `get_shape`() |
  `getcol`(j) | Returns a copy of column j of the matrix, as an (m x 1) sparse matrix (column vector).
  `getformat`() |
  `getmaxprint`() |
  `getnnz`() |
  `getrow`(i) | Returns a copy of row i of the matrix, as a (1 x n) sparse matrix (row vector).
  `maximum`(other) |
  `mean`([axis]) | Average the matrix over the given axis.
  `minimum`(other) |
  `multiply`(other) | Point-wise multiplication by another matrix
  `nonzero`() | nonzero indices
  `power`(n[, dtype]) |
  `reshape`(shape) |
  `set_shape`(shape) |
  `setdiag`(values[, k]) | Set diagonal or off-diagonal elements of the array.
  `sum`([axis]) | Sum the matrix over the given axis.
  `toarray`([order, out]) | Return a dense ndarray representation of this matrix.
  `tobsr`([blocksize]) |
  `tocoo`() |
  `todense`([order, out]) | Return a dense matrix representation of this matrix.
  `todia`() |
  `todok`() |
  `tolil`() |
  `transpose`() |